=== debian/changelog ===
imhex (1.38.0-0kali1) kali-dev; urgency=medium

  [ Arnaud Rebillout ]
  * Drop 'Rules-Requires-Root: no' from d/control
  * Drop armel-related variable from CI (no more armel runner)

  [ Sophie Brun ]
  * Update my email
  * Update debian/watch to Version 5
  * New upstream version 1.38.0
  * Refresh patches
  * Update debian/external and debian/third_party directories
  * Fix patch to fonts.hexpluglib

 -- Sophie Brun <sophie@kali.org>  Tue, 16 Dec 2025 15:33:36 +0100
