=== debian/changelog ===
imhex (1.38.1-0kali1) kali-dev; urgency=medium

  * New upstream version 1.38.1

 -- Sophie Brun <sophie@kali.org>  Tue, 06 Jan 2026 16:19:12 +0100
