=== debian/control ===
Source: imhex
Section: misc
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Sophie Brun <sophie@kali.org>
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 ccache,
 libglfw3-dev, 
 libglm-dev,
 libmagic-dev,
 libmbedtls-dev,
 python3-dev,
 libfreetype-dev,
 libcli11-dev,
 libdbus-1-dev,
 xdg-desktop-portal,
# llvm-dev,
 libyara-dev,
 libfmt-dev,
 libcurl4-openssl-dev,
 nlohmann-json3-dev,
 libimgui-dev,
 liblzma-dev,
 libzstd-dev,
 libcapstone-dev,
 libxrandr-dev
Standards-Version: 4.6.2
Homepage: https://github.com/WerWolv/ImHex
Vcs-Browser: https://gitlab.com/kalilinux/packages/imhex
Vcs-Git: https://gitlab.com/kalilinux/packages/imhex.git

Package: imhex
Architecture: amd64 arm64
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Recommends: imhex-patterns (>= 1.29.0)
Description: Hex Editor for Reverse Engineers, Programmers
 This package contains a Hex Editor for Reverse Engineers, Programmers and
 people who value their retinas when working at 3 AM.
