=== debian/watch ===
Version: 5
Template: Github
Owner: WerWolv
Project: ImHex
Repacksuffix: +ds
